Version 3.0 stable
    3.0.0 (Release Date 28.06.2004):
        Fixed undo of renamed directories and their contents
        Added a Polish translation by Krzysztof Pawlak 
    3.0.1 (Release Date 17.07.2004):
        Fixed a memory leak (create KRecursiveLister instances without deleting)
        Updated the Polish translation
        Loading fileplugins after startup is now possible
        Added option to create symlinks again (only for advanced mode)
        Fixed preview moved out of screen
        Added a Russian translation by Ilya Ivkov
        Fixed a bug: Appended strings should be allowed to contain braced; [1-5{\{Hallo\}}] should work
        Escaping of braces is now possible \{ \}
        Tooltip improvements
        Added extension renaming to the easy mode
        Added find and replace to the easy mode
    3.0.2 (Release Date 09.08.2004):
        Fixed a numbering bug with random start values
        Updated Russian, Polish and French translation
        Added a Bosnian Trasnlation by Asim Husanovic
    3.0.3 (Release Date 13.02.2005):
        ESC doesn't close KRename anymore
        Fixed many typos (thanks to Arpad Biro)
        Updated hungarian translation
        Fixed inserting of \
        Added a few tooltips to the add dialog
        Fixed escaping of # in filenames so that files containing a # can be added using drag and drop
        Added the option to sort filenames in random order
        Filename tab is made visible if filenames have been passed over the commandline
        Updated russian translation by Nick Shaforostoff
        Updated german, japanese and netherlands translation
        Added profile management (removed save settings in number and find/replace dialog therefore)   
        Added plugin data reloading
        Added Nummeric Sorting mode
        Added function help dialog also to the beginners mode
        Fixed keyboard accels in German translation
        Fixed filenames containing a slash
        Added formating of datetypes (e.g.: [date;yyyy-MM-dd] or [accessdate;dd-MM-yyyy_hh:mm])
        Better feedback during renaming lots of files in the ProgressDialog
        ProgressDialog is closed correctly after an undo
        Updated translations and fixed typos
        Fixed advanced date formatting, upercase letters were converted to lowercase
        Apply patch from Laurent Montel to exclude devices from the servicemenu
        Make adding of files multithreaded to be faster and fix some bugs
        Fixed reload plugin data (just clears the cache of all plugins)
        Let the KDE KRename documentation point to the pdf handbook
        Made KRename more responsive when changing the template for many files
        Fixed adding files by drag and drop and from commandline options
    3.0.4 (Release Date 21.04.2005):
        Fixed keyboard shortcut ALT+F being used twice
        Make saving profiles more easier to understand for the user
        Disable delete button for default profiles
        Support default profiles
        Declared lot's of functions as inline for speed reasons
        Added support for resetting counters on new directories
    3.0.5 (Release Date 25.05.2005):
        Updated Russian translation by Alexey Kouznetsov
        Updated Polish translation by Krzysztof Pawlak
        Added Chinese Simplified translation by Dehua Qin
        Fixed a bug in the strip whitespace function \
        Added Brazilian Portugues translation by Paulo Zambon and Michele Fasoli
        Display error warning message only if errors have occured
        Updated Italian translation by Patrick Bellasi 
        3.0.6 (Release Date 25.05.2005):
        Allow to set the profile with a commandline switch
        Added brazillian translation to the service menu
        Fixed crash with the --start option
        Fixed adding directories from the commandline with the --start option
        Fixed the taborder in the ProgressDialog
        Fixed find and replace with regular expressions
    3.0.7 (Release Date: 28.08.2005):
        Fixed for the pt_BR translation
        changed Krename -> KRename in myinputdialog.cpp
        Fixed plugins in second run of KRename
        Added Transliteration Plugin by Oleg Ivanov
        Set focus to the template field when switching to the filename tab
        in advanced mode
        Added keyboard shortcut F2 to change filename manually as
        requestet by Paulo
        Updated Hungarian Translation by Arpad Biro
        Fixed servicemenu files
    3.0.8 (Release Date: 24.09.2005):
        Updated German translation (thanks to the debian team)
        Fixed on the fly mode switching
        Fixed the profile commandline option when a default profile was specified
        Fixed a crash with loading the KDE file plugins after KRename was started
        Fixed a few smaller memory leaks (thanks to valgrind)
        Code review with many smaller optimization (mostly using inline
        for functions and references for parameters)
        Fixed hide and show of KRename window on startup
    3.0.9 (Release Date: 18.10.2005):
	Fixed the .desktop file to open only one KRename window when
	multiple files are dragged on the icon
	Added Slovinean translation by Matej Urbančič
    3.0.10 (Release Date: 11.01.2006): 
	Swedish translation by Peter Landgren
	Updated Polish translation by Krzysztof Pawlak
	Added context menu to all template text fields to quickly insert
	KRename tokens
	Updated Hungarian translation by Arpad Biro
    3.0.11 (Release Date: 22.02.2006):
	Cleaned up Makefile.am
	Fixed desktop files
	Fixed {,} and * when returned from plugins
	Fixed add files here label on the first page in wizard mode
	Show last tab when files are passed on the commandline
	Updated Swedish translation by Peter Landgren
	Updated Italian translation by Vincenzo Reale
	Updated admin directory to KDE 3.5
    3.0.12 (Release Date: 14.08.2006):
	Updated Spanish and Italian translation
	Fixed a compilation problem with gcc 2.95
	Fixed servicemenu installation
	Fixed a possible crash
	German translation fixes by Frederik Schwarzer
	Fixed drag and drop of files to KRename
    3.0.13 (Release Date: 03.12.2006):
	Emre Alada contributed a Turkish translation
	Improved speed when a plugin token was not found
	Fixed encoding plugin
	Added commandline switch to specify the number of previewitems
    3.0.14:
	Fixed a crash with plugin previews
	Fixed adding directories recursive when dropped from another application
	Added a unit test
	Fixed plugin tokens with additional arguments e.g. [date;dd-mm-yyyy]
	Fixed the seconds in the time [token]
	Corrected documentation of [user] and [group] tokens
	Patch by Otakar Trunecek to add Czech transliteration characters
	
Version 2.9
    2.9.0 (Release Date 24.01.2004):
        Added KIO slave support (e.g.: fish:// and ftp://)
        Use the mimetype icon if no icon is found
        File preview is much faster now
        Moving of items in large lists if faster now
        Removed stupid tooltip for filelist
        Improved ProgressDialog
        Fixed plugin finished being called even if the user canceled renaming
        Added option to easily use the filename of the input file (when changing manually)
        Fixed enabled state of up and down buttons
        Using Jonathon Sim's KRecursiveLister
        Added a refresh preview button
        Removed ask on exit option (KRename doesn't ask anymore)
        Fileextension start dot, can now be configured easier
        Fixed capitalization for apostrophes
        Removed stupid warning message, about files not being added twice
        Made PluginLoader a singleton -> KRename is faster if a second window is opened
        Added a very simple DCOP interface (more functions to come in the next release)
        Fixed a bug that caused [x] (x being a number) to fail in some cases
        Fixed manual changing filenames
    2.9.1 (Release Date 01.02.2004):
        Compilation fix (cannot declare member function as static)
        Fixed keyboard access to file template lineedit
    Improved plugin system, no need to enable certain plugins anymore
        Removed write meta info function, as it did not work very well
        Refactored the image plugin to look like the other plugins and use a cache
    2.9.2 (Release Date 29.02.2004):
        Added a hungarian translation from the SuSE 9.0 rpm
        Date and time functions are now a plugin    
        Added [user], [group], [modificationdate], [creationdate] and [accessdate] tokens
        Fixed a bug with the [date] token 
        Fixed the command, permissions and date and time plugin
        Added lot's of examples to the command plugin
        Updated the German translation
        Renaming speed got greatly improved (FileCopyJob is used instead of CopyJob)
        Overwriting of files works again
        Removed option to create symlinks, who needs that?
        Added a [length] token, returning the length of the input filename
        Support for nested tokens like: [[length-4]-[length-2]] 
        Fixed mouse problems on the first page of the wizard
        The part string token supports appended strings: [2;4{[dirname]}] or [2-4{KRENAME}]
        Fixed a bug with special tokens in directories which are created during runtime
        Added a few new DCOP functions
        Fixed regular expressions find and replace
        Much faster adding of files, because of a better sorting algorithm
        Updated the French translation
        Depends on KDE 3.1 now, because of KDirLister
        Fixed an annoying message box popping up, when an error occurs
    2.9.3 (Release Date 09.04.2004):
        Updated Spanish translation
        Updated German translation
        Fixed a crash when adding directories recursively
        All plugin tokens have a prefix now for consistency
        Added new DCOP methods
    2.9.4 (Release Date 15.04.2004):
        Fixed [length-2] token (substracted only 1 instead of 2)
        Set default to tabbed mode for GUI
        Added a powerful easy mode dialog
        KMyHistoryCombo saves its settings itsself, saving lots of code duplication
        Fixed the annoying error messages again
        Improved ProgressedDialog
        All files (even files with errors) can now be renamed again    
    3.0.0-rc1 (Release Date 04.05.2004):
        Updated French translation
        Updated Spanish translation
        Updated German translation
        Fixed spelling errors (thanks goes to Arpad Biro)
        Updated admin dir to work with automake 1.8
        Service menu is installed by default, saving lot's of code
        Fixed a bug with FilePlugins
    3.0.0-rc2 (Release Date 26.05.2004):
        Updated Netherlands translation
        Fixed a bug with Â§ which could result in an endless loop
        Replaced Â§ with [&1][%2-]
        Fixed multi-line error message in progress dialog
        Nicer file preview (previews are centered and text is aligned)
        Start index defaults now to 1
        Changed button order in ProgressDialog and Tabs Mode (Close)
        Move change filename manually to the top of the context menu
        Append a / to directory names so that files are copied/moved correctly
        Do not display file:// for local files
        KRename creates missing directories automatically for you
        KRename window size on startup was fixed
        Only one button to add directories and files
        Many messages where simplified
        Undo file can only be created if files are not copied
        Added an automatic undo function        
        Plugin page was removed from the wizard
        Fixed unexpected close of wizard after renaming
        Improved directory selection
        Better sorting of files
        No update preview when find and replace dialog was canceled
    3.0.0-rc3 (Release Date 13.06.2004):
        Removed help buttons
        Fixed lots of typos        
        previous -> original
        Added small icons to help dialog
        Added a small text notice to tell the user he should add some files
        Selecting items by dragging a frame with the mouse is now possible
        Fixed hiding the plugin page in wizard mode
        Plugin page shows only plugins that are not automatically used
        Fixed image highlighting of selected items
        Fixed image preview
        Fixed creating directories inside of created directories

Version 2.8 stable
    2.8.0 (Release Date 08.07.2003):
        Speed up file plugins by adding a cache to them
        Fixed GUI mode switching with Qt 3.0.x
        Fixed service menu entry for all languages
        Adjust width of insert part of filename dialog dynamically
        --use-plugin is now case insensitive
        Fixed a bug with the first start dialog
        Added spanish translation of service menu entries
        Redrawing GUI while generating real time preview with plugin
    2.8.1 (Release Date 24.07.2003):
        Fixed compilation errors on FreeBSD
        Fixed a memory leak with invalid file plugins
        Added support for all fileplugin tokens, not only the preffered ones
        Switched add dirname dialog to KDirSelectDialog
        Fixed a bug which caused KRename to remain in memory even if all windows were closed
    2.8.2 (Release Date 06.08.2003):
        Removed STL dependency and fixed compilation errors
        Fixed a memory leak in addThisDir
        Added support to add directory names recursively
    2.8.3 (Release Date 22.10.2003):
        Removed add recursively button and merged functionality into add dir
        Added a simple sort function
        Inserting parts of filenames replaces $
        Fixed a layout bug, with the undo groupbox
    2.8.4 (Release Date 05.12.2003):
        Added a netherlands translation by Frank Schoolmeesters
        Fixed find and replace code
        Fixed compilation with --enable-final
        Fixed compilation on debian and fedora
        Added support for escaped special characters (e.g. \&)
        Fixed a segmentation fault on startup
    2.8.5 (Release Date 05.01.2004):
        Fixed dir selection dialog growing larger and larger
        Fixed bug: manual changes are delete for removed files, too
        Fixed compiler warning: unexpected variable declaration

Version 2.7
    2.7.0 (Release Date 17.05.2003):
        Style guide fixes
        Improved user interface
        Removed save button from final dialog (who needs it?)
        Ported ReplaceDialog to KDialogBase
    2.7.1 (Release Date: 18.05.2003):
        Fixed Compilation with KDE 3.0
    2.7.2 (Release Date: 04.06.2003):
        Added Japanese translation
        Removed visible/invisible plugin stuff
        Fixed minimum size of krename
        Fixed sorting of functions help
        Fixed bug with wrong file extension settings from krenamerc
        Added tabbed GUI mode
        Refactored preferences
        Removed advanced titlebar
        Redesigned plugin GUI page
        Remove buttons are disabled as long as there are no files in the list
        Added a separator line between dialogs and buttons
        Improved undo dialog
        Fixed loading of saved skip and find/replace lists
        Made filename template lineedit much wider
        Lot's of style guide fixes
        Fixed accel conflicts in English version
        Fixed the picture plugin
        Simplified Plugin code (use QPtrList instead of QDict)
    2.7.3 (Release Date: 30.06.2003):
        Runtime switching of GUI mode is now possible
        Fixed compilation problems on SuSE 8.0 (Qt <= 3.0.5)
        Defined const functions as const
        Fixed includes (thanks to the excellent fixincludes script from tdesdk)
        Added a GUI mode selection dialog on first start
        Added support for formating numbers from plugins (e.g.: [##Tracknumber])
        Fixed service menu entries (thanks to Mark Volkert)
        Fixed a small memory leak in service menu code
        Fixed crash with RegExp dialog
        Added a lot of useful commandline options
        Fixed the spelling of KRename
        Added an icon for the permissions plugin
        Fixed a long standing bug that the users own group was not shown in the permissions plugin
        Added an open context menu item to the preview
        Fixed adding of two files with same name but in different capitilization
        Double clicking on an item in the search and replace dialog edits it
        Added French translation

Version 2.6 stable
    2.6.0 (Release Date: 18.04.2003):
        Fixed crash on installing servicemenu
        Added icon and accel to servicemenu entry
        Fixed bug with manual changed filenames

    2.6.1 (Release Date: 25.04.2003):
        Make Renaming with KFilePlugins work again

    2.6.2 (Release Date: 11.05.2003):
        Fixed manually changing names of dirs
        Fixed some update count problems
        Added spanish translation
        Fixed help dialog        
        
Version 2.5
    2.5.0 (Release Date: 27.12.2002):
        Added italian translation
        Fixed layout bug in maximized windows
        Fixed compiling problems (vector) (Thanks to Stephan Johach)
        Added kde preview support
        Faster File Preview
        Removed all extern declarations
        Removed uses of goto, cause I'm not coding basic :-)
        Added support for renaming directories
        Added open destination button
        Added support for changing meta info's on all files
    2.5.1 (Release Date: 02.02.2003):
        Added support for recursively adding hidden directories
        Added new preview mode
        Added command execution plugin
        Thumbnails size is a configure option now
        Fixed startup notification bug
        Improved documentation on leading zeros
    2.5.2 (Release Date: 13.02.2003):
        Fixed [date] bug (DD-MM-YYYY)
        Plugin loading can be disabled for faster startup
        Easier selection of part filenames
        Fixed column bugs
        Only one message box is shown when multiple files are added twice to the list
        Added prefernces dialog
        Fixed arrow buttons
        Refactored source
    2.5.3 (Release Date: 14.02.2003):
        Fixed a gcc 3.x compilation bug
    2.5.4 (Release Date: 14.03.2003):
        Fixed a column bug
        Improved some default settings
        Fixed some problems with non ascii chars
        Fixed service menu installation
        Fixed problems with cyrillic characters
        Spell checking of ui texts
        Added auto directory creation ( ##/$ is now a valid template )
        Fixed adding of directory names
        Added caption with full path to the preview context menu
        Added strip whitespace operator "\"
        Fixed filenames containing "/"
        Fixed display of preview failed icon
        Removed debug output when writing meta info
        Refactored and simplified plugin processing
    2.5.5 (Release Date: 28.03.2003):
        Updated README
        Titlebar labels are now shown translated
        Fixed ERROR messages after renaming
        Fixed truncating of filenames with the get coordinates function
        Fixed window layout restoring at startup
        Added an autosize option for the column width in the preview
    2.6-rc1 (Release Date: 06.04.2003):
        Added icon to service menu entry
        Fixed gcc 3.x compiler warnings
        Fixed tdefile plugins returning spaces at the end
        Greatly improved startup time
    2.6-rc2 (Release Date: 11.04.2003):
        History size can be configured now
        Fixed compilation with Qt/KDE 3.0
        Fixed disabled controls in Preferences Dialog
        Fixed a memory leak in FileOperation::geName();
        Fixed file extension problems
        Fixed renaming of directory names and the directories contents
        Fixed one crash with the reqexp editor
        
Version 2.4 stable
    2.4.0 (Release Date: 16.10.2002):
        German Translation Fixes
        Fixed bug in service menu installtion
        Output Dialog is visible in the taskbar
        Current page has bold letters in titlebar
        Fixed image preview
        Fixed service menu installation
        Fixed toggling of titlebar
    2.4.1: (Release Date: 30.10.2002):
        Header files aren't installed anymore
        Updated admin dir/build system
        Fixed some memory leaks
        Fixed crash with KFilePlugins
        Fixed memory leaks in PicturePlugin
        Improved speed in PicturePlugin
        Support of more image formats in PicturePlugin and preview
    2.4.2: (Release Date: 27.11.2002):
        Window state is restored after restart of krename
        Added [dirname] keyword
        Fixed bug with files added more than once to file list
        Confirmation at exit can be disabled
        Fixed problems with advanced titlebar
        Fixel compilation problems
        Fixed layout on small resolutions
        Added help dialog, that displays all avaible tokens
        Removed Mp3/Ogg Plugin, KDE Plugins do the same stuff better

Version 2.3 (Release Date: 03.06.2002)
        Translation fixes
        Added undo feature
        Code cleanups (use of static QFile::exists method )
        Removed the splash screen (because I hate the one from OpenOffice
            and I do not want to annoy people with krename's splash screen)
        Added [track] keyword (needs id3v2 support)
        Added function wizard
    2.3.1 (Release Date: 10.07.2002):
        Added support for KFilePlugins
        Added show all plugins button
        Added commandline option to undo scripts for security purpose
        Smaller bug fixes
        Fixed replacing of special chars $, &, ...
    2.3.2 (Release Date: 12.09.2002):
        Service menu entry is not installed by default, user can isntall it
        GUI improvements
        Root warning messagebox can be disabled
        Added context menu to preview box
        Finish button is default button
        Fixed renaming of files without extension
        Added chinese translation
        Regular Expression changes
    2.3.3 (Release Date: 09.10.2002):
        GCC 3.2 fixes from Gentoo
        Added menubar
        Fixed plugins not working when show all was selected
        Tokens for file plugins are case insensitive now
        Pages of the wizard can now be set invisible
        Source code clean ups in PluginLoader, BatchRenamer
        DateTime, Permission and Dir Plugin are compiled into KRename
        Added settings and help menu
        Made OK default button in find and replace dialog
        Made Start default button in undo dialog
        Fixed crash when pressing return after startup
        Using tqDebug instead of cout in some places
        Added advanced title bar
        Fixed bug that config wasn't saved sometimes
        Removed some asserts
        Fixed tab order
        
Version 2.2 stable (Release Date: 01.05.2002)
    Layout fixes in the replace dialog
    Bug fixes in the replace dialog
    Bug fixes in the copy function
    Bug fixes in the build system
    Bug fixed with plugins and special chars ( [, ], $, %, ... )

Version 2.1 (Release Date: 26.04.2002)
    Added own ListView widget
    Added arrow buttons
    Removed preview button (disabled since 1.4(?))
    User can change a filename by double clicking on a filename in the preview
    Added a colored preview box
    Translation fixes
    ID3v2 tags supported throu id3lib
    User can save setting for find & replace and skipping numbers
    GUI improvements
    User can set a filter for recursive dir adding
    Improved recursive scanning of directories
    Fixed ogg tag renaming bug
    Fixed genre bug
    Added plugin for picture renaming
    Fixed a bug in the service menu entry
    Fixed bug with replacing special chars ( [, ], $, %, ... )
    Fixed a bug with the * operator
    Added faster copying funtion
    Fixed bugs in the replace dialog

Version 2.0 stable (Release Date: 27.03.2002)
    Minor changes to README and ChangeLog file :)

Version 1.9 (Release Date: 22.03.2002)
    Port to KDE3
    Fixed layout bugs on page3 && page2
    Added service menu entry for konqueror
    Added regular expressions editor
    Fixed bug with files ending in a dot or without extension

Version 1.8 stable (Release Date: 28.02.2002)
    Added plugin API
    Rewrite of BatchRenamer class
    API clean up's
    Changed handling of numbers and fixed (hopefully) some bugs in it
    Fixed (again) bug with filenames containing $,%,&,,#,[ or ]
    Fixed bug that didn't allowed doing [1-]
    Fixed history bug
    Fixed a drag and drop bug
    Preview window is resized correctly
    Rewrote date time stuff as plugin
    Rewrote permissions stuff as plugin
    Added mp3/ogg plugin
    Added dir sorting plugin.
    Changed Listbox selection mode
    Added -p commandline option for additional plugin dirs
    Added a image preview
    Updated translation
    Added splash screen
    Moved About Button to first page
    Added .spec file

Version 1.7 stable (Release Date: 30.12.2001)
    Fixed Find and replace bug
    Added Add Dir Recursively Button
    Group is set correctly in the permissions dialog
    Simplified code in batchrenamer.cpp
    GUI is repainted during adding a directory recursively
    Added warn message if started from root

Version 1.6 stable (Release Date: 27.12.2001)
    GUI Changes
    Fixed translation bug in the About dialog
    Fixed bug with filenames containig spaces
    Added advanced file extension handling
    Added find and replace of regular expressions
    Added * operator (converts first letter of words to upper case)
    Speed improvement ( <= 0 replaced with < 0 )
    Added build date and time to the about dialog
    Fixed history bug in ComboBox
    Added handling of filenames containing $,%,&,,#,[ or ]

Version 1.5 (Release Date: 23.11.2001)
    Added realtime preview
    Added step by value
    Added handling of parts of the filename
    Added find and replace
    Added renaming of output files
    All enabling/disabling of widgets is now done in one funtion ( enableControls() )
    Many internal code changes
    Fixed bug with ,$,& and % in the extension
    Added --nopreview commandline option
    i18n'ed some more strings, I had forgotten
    Fixed keyboard focus and taborder

Version 1.4 stable (Release Date: 08.11.2001)
    Rewritten GUI
    Added German translation
    Changed ToolTips and other texts

Version 1.3 (Release Date: 04.11.2001)
    Rewritten, resizeable ProgressDialog (with clipboard support)
    Fixed bug in history combo
    Smaller speed optimizations ( addDir() ;)
    Added skipping of numbers
    Removed all the useless struct's in the source code
    Using KDE file selection dialog instead of QT's
    i18n most strings ( translations are still missing ;)
    Fixed crash during saving krenames output in ProgressDialog
    Cleaned code (moved include statements from header to source files)

Version 1.2 (Release Date: 28.10.2001)
    Added GetCurrentTime Button
    Added giving files as commandline parameter
    Added  conversion
    Code clean up's
    Added recursive renaming of directories with commandline parameters
    Changed help files
    Bug fixes

Version 1.1 (Release Date: 23.10.2001)
    Fixed bug with non existing directories
    Added Up/Down Buttons fo changing the file order
    Added restart button
    Rewritten KMyListBox class
    Krename stores path and templates for later sessions
    Added creation of symbolic links
    Added dropping of dirs
    Added conversion of filenames to upper case
    Improved drag'n'drop support
    Added template for the file extension.
    Changed GUI
    Fixed ToolTips

Version 1.0 stable (Release Date: 10.10.2001) stable
    Krename is called stable ;)
    Fixed problem with the same file twice in the list (The same file is allowed only once in the list)
    Files are correctly removed from the list.
    Fixed warning messages at compile time.
    Fixed bug in Add Dir.
    Changed some key accels.
    Added 'OK to all' button.
    Fixed error checking

Version 0.9 (Release Date: 03.10.2001)
    Added Add Directory Button
    Fixed drag'n'drop code
    Fixed problem with Cancel
    Added Convert extension to lower case

Version 0.8 (Release Date: 26.09.2001)
    Changed syntax for adding numbers.
    Added Copyright Note to the COPYING file.
    User is asked if Krename should quit.
    Changed some texts.
    Updated and changed documentation.
    Changed maxvalue of start index.


Version 0.7 (Release Date: 20.09.2001)
    Added Progress Dialog.
    Krename displays the correct number of successfully renamed files.
    Better error checking.
    Added warning fucntion to ProgressDialog.
    Added overwrite existing files function.
    Changed some description texts.

Version 0.6 (Release Date: 12.09.2001)
    Added cancel button to ProgressDialog
    Fixed a bug that fclose wasn't called under certain conditions
    Added save output button to ProgressDialog
    ProgressDialog should be faster because of using QListBox instead of QMultiLineEdit
    Fixed a bug that ocurred when changing date & time
    krename displays now the elapsed time.
    Speed optimations, mainly because of changing struct data
    Fixed some problems with adding correct numbers to filenames if startindex is not 0.

Version 0.5 (Release Date: 08.09.2001)
    Changed description texts.
    Changed API of ProgressDialog a little bit.
    Files can be opened from krename by pressing return or double clicking on the file.
    Krename can change owner and group of all files
    Krename can change permissions of all files
    Added label that counts the number of files

Version 0.4 (Release Date: 04.09.2001)
    Krename can now change time of last access and modification
    Added preview button
    Bug fixes
    code clean up's
    Better Help
    Krename is added to the KMenu's Utilities section instead of Applications.

Version 0.3 (Release Date: 31.08.2001)
    Added functions for changing access and modification date
    Added drag'n'drop support
    Bug fixes
    Code layout changes
    Added thanks to section to About dialog

Version 0.2 (Release Date: 23.08.2001)
    New KWizard GUI
    ProgressDialog is updated
    Code layout changes

Version 0.1 (Release Date: 22.08.2001)
    Initial release
